CommCare Cloud release notes 2021-01-11

2021-01-11 Add support for Python 3
Python 3 is supported and now the preferred version to use. In anticipation of dropping Python 2 support, an error will be genereated if running commands with Python 2. Instructions for upgrading to Python 3, as well as continuing to use Python 2 are provided in the error message.

About these release notes

If you run your own CommCare instance, these release notes are for you. As always, see CommCare Cloud | Official toolkit for deploying and maintaining CommCare server environment for the most up to date release notes and release note history.

These release notes are not simply for your information, they are instructions for you to follow.

Each change includes manual steps for you to follow to apply changes to your environment configuration or infrastructure that will allow you to be on the latest versions of commcare-cloud and commcare-hq.

Inside the instructions for applying the maintenance for each change, it will tell you whether there are any environments it may not be necessary for. When in doubt, apply the steps for every change.

See update